import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M548-480 360-669l16-16 204 205-204 204-16-16 188-188Z",
    "200": "M543.85-480.23 353.54-671.31l22.23-22.23 212.54 213.31-212.54 212.54-22.23-22.23 190.31-190.31Z",
    "300": "M536.92-480.62 342.77-675.15l32.61-32.62 226.77 227.15-226.77 226.77-32.61-32.61 194.15-194.16Z",
    "400": "M530-481 332-679l43-43 241 241-241 241-43-43 198-198Z",
    "500": "m524.26-481-198-198L375-727.74 621.74-481 375-234.26 326.26-283l198-198Z",
    "600": "m516.43-481-198-198L375-735.57 629.57-481 375-226.43 318.43-283l198-198Z",
    "700": "M506-481 308-679l67-67 265 265-265 265-67-67 198-198Z"
  }
};
const ChevronForwardW100 = createMaterialIcon("chevron_forward", pathData.regular[100]);
const ChevronForwardW200 = createMaterialIcon("chevron_forward", pathData.regular[200]);
const ChevronForwardW300 = createMaterialIcon("chevron_forward", pathData.regular[300]);
const ChevronForwardW400 = createMaterialIcon("chevron_forward", pathData.regular[400]);
const ChevronForwardW500 = createMaterialIcon("chevron_forward", pathData.regular[500]);
const ChevronForwardW600 = createMaterialIcon("chevron_forward", pathData.regular[600]);
const ChevronForwardW700 = createMaterialIcon("chevron_forward", pathData.regular[700]);
const ChevronForwardFillW100 = createMaterialIcon("chevron_forward", pathData.regular[100]);
const ChevronForwardFillW200 = createMaterialIcon("chevron_forward", pathData.regular[200]);
const ChevronForwardFillW300 = createMaterialIcon("chevron_forward", pathData.regular[300]);
const ChevronForwardFillW400 = createMaterialIcon("chevron_forward", pathData.regular[400]);
const ChevronForwardFillW500 = createMaterialIcon("chevron_forward", pathData.regular[500]);
const ChevronForwardFillW600 = createMaterialIcon("chevron_forward", pathData.regular[600]);
const ChevronForwardFillW700 = createMaterialIcon("chevron_forward", pathData.regular[700]);

export { ChevronForwardFillW100, ChevronForwardFillW200, ChevronForwardFillW300, ChevronForwardFillW400, ChevronForwardFillW500, ChevronForwardFillW600, ChevronForwardFillW700, ChevronForwardW100, ChevronForwardW200, ChevronForwardW300, ChevronForwardW400, ChevronForwardW500, ChevronForwardW600, ChevronForwardW700 };
